Summary: Bloonix Server
Name: bloonix-server
Version: 1.35
Release: 1%{dist}
License: Commercial
Group: Utilities/System
Distribution: Rockylinux

Packager: Jonny Schulz <js@bloonix.de>
Vendor: Bloonix

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source0: https://repo.bloonix.org/sources/%{name}-%{version}.tar.gz
Requires: bloonix-core >= 1.45
Requires: bloonix-plugins
Requires: python3-redis
Requires: python3-psycopg2
Requires: python3-setproctitle
AutoReqProv: no

%define __brp_mangle_shebangs %{nil}

%description
The Bloonix server run all server daemons to communicate
with the agents.

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix /usr --systemd-path /usr/lib/systemd/system
make

%install
make install DESTDIR=%{buildroot}

%clean
make clean
rm -rf %{buildroot}

%preun
if [ "$1" = 0 ] ; then
    /usr/lib/bloonix/bin/bloonix-server-prerm
fi

%post
if [ "$1" = 1 ]; then
    /usr/lib/bloonix/bin/bloonix-server-init-config
    /usr/lib/bloonix/bin/bloonix-server-postinst
fi

%posttrans
# Remove %posttrans later. It's just a fix for broken packages.
/usr/lib/bloonix/bin/bloonix-server-init-config
/usr/lib/bloonix/bin/bloonix-server-postinst

%files
%defattr(-,root,root,-)
/etc/init.d/bloonix-server
/usr/bin/bloonix-server
/usr/lib/bloonix/bin/bloonix-server-init-config
/usr/lib/bloonix/bin/bloonix-server-postinst
/usr/lib/bloonix/bin/bloonix-server-prerm
/usr/lib/bloonix/message-service/builtin-http
/usr/lib/bloonix/message-service/builtin-sendmail
/usr/lib/systemd/system/bloonix-server.service
/usr/share/bloonix/etc/server/database-main.conf
/usr/share/bloonix/etc/server/datastore-main.conf
/usr/share/bloonix/etc/server/main.conf

%changelog
* Fri Jun 20 2025 Jonny Schulz <js@bloonix.de> - 1.35-1
- New release
